List Returns
curl --request GET \
--url https://api.getredo.com/v2.2/stores/{storeId}/returns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getredo.com/v2.2/stores/{storeId}/returns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getredo.com/v2.2/stores/{storeId}/returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orders": [
{
"customer": {
"name": {
"given": "<string>",
"surname": "<string>"
},
"emailAddress": "jsmith@example.com",
"phoneNumber": "<string>"
},
"discounts": {
"amount": "<string>",
"currency": "<string>"
},
"id": "64e4da943dd822979a70bd12",
"items": [
{
"fulfillmentLocationId": "123",
"id": "<string>",
"price": {
"amount": "<string>",
"currency": "<string>"
},
"product": {
"name": "<string>",
"externalId": "<string>"
},
"quantity": 1,
"variant": {
"name": "<string>",
"externalId": "<string>",
"sku": "<string>",
"weight": {
"kg": 1
}
},
"externalId": "123"
}
],
"lineItemsTotal": {
"amount": "<string>",
"currency": "<string>"
},
"name": "<string>",
"shippingCost": {
"amount": "<string>",
"currency": "<string>"
},
"taxes": {
"amount": "<string>",
"currency": "<string>"
},
"total": {
"amount": "<string>",
"currency": "<string>"
},
"externalId": "<string>"
}
],
"returns": [
{
"createdAt": "2023-11-07T05:31:56Z",
"destination": {
"mailingAddress": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"postalCode": "<string>",
"state": "<string>",
"line2": ""
},
"phoneNumber": "<string>"
},
"giftCards": [
{
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"code": "<string>",
"externalId": "<string>"
}
],
"id": "<string>",
"items": [
{
"id": "<string>",
"orderItem": {
"id": "<string>",
"line_item_id": "<string>"
},
"quantity": 123,
"reason": "<string>",
"customerComment": "<string>",
"exchangeItem": {
"product": {
"externalId": "<string>",
"name": "<string>"
},
"quantity": 123,
"variant": {
"externalId": "<string>",
"name": "<string>"
}
},
"grade": "<string>",
"greenReturn": true,
"outcome": "<string>",
"shipmentGroupIds": [
"<string>"
],
"externalIdentifier": "<string>",
"externalReturnLineItemId": "<string>",
"productId": "<string>",
"reasonCode": "<string>",
"reasons": [
"<string>"
],
"reasonCodes": [
"<string>"
],
"productAdjustment": "<string>",
"multipleChoiceQuestions": [
{
"question": "<string>",
"answer": "<string>"
}
],
"assessments": [
{
"assignedUser": {
"id": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"responses": [
{
"type": "<string>",
"value": "<string>"
}
]
}
],
"refund": {
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"type": "<string>"
},
"productValueNoTaxNoAdjustment": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"sku": "<string>",
"upc": "<string>",
"status": "<string>",
"variantId": "<string>"
}
],
"order": {
"id": "64e4da943dd822979a70bd12",
"name": "<string>"
},
"source": {
"emailAddress": "jsmith@example.com",
"mailingAddress": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"postalCode": "<string>",
"state": "<string>",
"line2": ""
},
"name": {
"given": "<string>",
"surname": "<string>"
},
"phoneNumber": "<string>"
},
"status": "open",
"updatedAt": "2023-11-07T05:31:56Z",
"compensationMethods": [],
"completeWithNoAction": true,
"exchange": {
"items": [
{
"id": "<string>",
"quantity": 1,
"variant": {
"name": "<string>",
"externalId": "<string>",
"sku": "<string>",
"weight": {
"kg": 1
}
},
"originalPrice": {
"amount": "<string>",
"currency": "<string>"
},
"price": {
"amount": "<string>",
"currency": "<string>",
"tax": "<string>"
},
"product": {
"name": "<string>",
"externalId": "<string>"
}
}
],
"provision": "deferred",
"itemCount": 123,
"order": {
"externalId": "<string>"
},
"totalTax": {
"amount": "<string>",
"currency": "<string>"
}
},
"externalOrderIds": [
"<string>"
],
"internalCreatedByName": "<string>",
"notes": [
{
"message": "<string>",
"image": "<string>"
}
],
"shipment": {
"carrier": "<string>",
"tracker": "<string>",
"trackingUrl": "<string>",
"postageLabel": "<string>",
"formLabel": "<string>",
"shipmentGroupId": "<string>",
"itemIds": [
"<string>"
],
"externalLocationId": "<string>",
"estimatedDeliveryDate": "<string>",
"deliveredAt": "<string>"
},
"shipments": [
{
"carrier": "<string>",
"tracker": "<string>",
"trackingUrl": "<string>",
"postageLabel": "<string>",
"formLabel": "<string>",
"shipmentGroupId": "<string>",
"itemIds": [
"<string>"
],
"externalLocationId": "<string>",
"estimatedDeliveryDate": "<string>",
"deliveredAt": "<string>"
}
],
"dropoffs": [
{
"shipmentGroupId": "<string>",
"provider": "<string>",
"qrCode": "<string>",
"qrCodeUrl": "<string>"
}
],
"shopifyOrderIds": [
"<string>"
],
"tags": [
{
"name": "<string>",
"source": "<string>"
}
],
"totals": {
"charge": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"exchange": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"refund": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
},
"storeCredit": {
"amount": {
"amount": "<string>",
"currency": "<string>"
}
}
},
"type": "return"
}
]
}{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}Returns
List Returns
List returns, sorted by most recent to least recent.
GET
/
stores
/
{storeId}
/
returns
List Returns
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Page marker, from X-Page-Next header
Page size, defaults to 20
Required range:
1 <= x <= 500Path Parameters
Store ID
Example:
"64e5a8a1af49a89df37e4ee7"
Query Parameters
Maximum updated time, exclusive
Minimum updated time, inclusive
Shopify specific order name
Example:
"XYZ1025"
Provider specific order name
Example:
"XYZ1025"
Filter returns by status Return status.
- open: Return has been approved and is awaiting shipment.
- in_transit: Return shipment is in transit.
- delivered: Return shipment has been delivered and awaiting processing.
- needs_review: Return requires review before further action.
- in_review: Return is currently being reviewed.
- complete: The return has been completed successfully.
- rejected: The return has been rejected.
- flagged: A problem with return processing requires merchant action.
- pre_shipment: Return requires pre-shipment merchant authorization.
- deleted: The return has been deleted (Reset).
Available options:
open, in_transit, delivered, needs_review, in_review, complete, rejected, flagged, pre_shipment, deleted Example:
"open"
Was this page helpful?
⌘I